echo use this script at your own risk! DANGER
echo you can always run this a line at a time manually after you inspect
echo and understand it.
echo
echo you should already have downloaded the external files mentioned in the README
echo
echo this is written to be called from the top level extracted directory only
echo waiting 15 sec for you to kill ^C if not correct
sleep 15

echo
echo
echo
echo bison version:
bison -V
echo
echo flex version:
flex -V
echo
echo
echo
echo "if the above bison is not >3 building the compiler won't work"
echo "development was done with bison 3.0.2 and flex 2.5.39"
echo sleeping 15...
echo
echo
echo
sleep 15

#compile libImg
cd ext_dep
tar -zxvf libImg-release-20141216.tgz
cd libImg
./configure
make
cd ..
pwd
sleep 5
#compile libCB
tar -zxvf libCb-release-20060723.tgz
cd libCb
./configure
make
cd ..
pwd
sleep 5
#compile libTmr
LIB_CB_INCLUDES=`pwd`/libCb/include
tar -zxvf libTmr-release-20090810.tgz
cd libTmr
echo ./configure $LIB_CB_INCLUDES
./configure $LIB_CB_INCLUDES
make
cd ..
pwd
sleep 5
#compile libGx
tar -zxvf libGx-release-20131119.tgz
cd libGx
ln -s ../libCb
ln -s ../libTmr
./configure release
make
cd ..
cd ..
pwd
sleep 5
#done compiling dependancies

#make a Make.cfg here for this install
TL_DIR=`pwd`
LIBIMG_DIR=$TL_DIR/ext_dep/libImg
LIBCB_DIR=$TL_DIR/ext_dep/libCb
LIBTMR_DIR=$TL_DIR/ext_dep/libTmr
LIBGX_DIR=$TL_DIR/ext_dep/libGx

echo "LIBIMG_DIR="$LIBIMG_DIR > Make.cfg
echo "LIBCB_DIR="$LIBCB_DIR >> Make.cfg
echo "LIBTMR_DIR="$LIBTMR_DIR >> Make.cfg
echo "LIBGX_DIR="$LIBGX_DIR >> Make.cfg

echo
echo
echo making a Make.cfg is done.
echo compiling the cpu_sim next
echo
echo
sleep 5

cd cpu_sim
make all
cd ..

echo
echo compiling the assembler
echo
sleep 5
cd assem
make all
cd ..

echo
echo compiling the compiler
echo
sleep 5
cd comp
make all
cd ..

echo
echo making the driver
echo
sleep 5
cd driver
make all
cd ..

echo
echo
echo "ok the hard stuff should be done."
echo "compile some shader programs"
echo "expect lots of useless messages"
echo "sleeping 5"
echo
sleep 5

cd shader_prgms
make all
cd ..

echo
echo compile the fp tests
echo
sleep 5

cd fp_test
make all
cd ..

echo
echo "Done!"

