/*
  Copyright 2014
  John Culp, All Rights Reserved
*/

#ifndef ID_GEN_INCLUDED
#define ID_GEN_INCLUDED

#include <list>
#include <string>

class ID_Gen
{
public:
  ID_Gen(void);
  ID_Gen(const ID_Gen &rhs);
  ~ID_Gen(void);
  
  const ID_Gen& operator=(const ID_Gen &rhs);

  void Reset(void);

  unsigned GetID(void);
  unsigned GetCTID(void);

protected:
  unsigned next_id; //try to keep numbers small
  unsigned next_ct_id; //keep ct's seperate as they are less relevant numbers
};

#endif //ID_GEN_INCLUDED
