/*
  file created 2014
  modified
  released to the Public Domain by the author
*/

#include <iomanip>

#include "CB_Logger.hh"

using namespace std;

CB_Logger::CB_Logger(void)
{}

CB_Logger::~CB_Logger(void)
{}

bool CB_Logger::Open(const std::string &rFName)
{
  fout.open( rFName.c_str() );
  return fout;
}

void CB_Logger::Close(void)
{
  fout.close();
}

void CB_Logger::CB_Write(unsigned addr, unsigned value)
{
  WriteSPICmd(0x1, addr, value);
}

unsigned CB_Logger::CB_Read(unsigned addr)
{
  WriteSPICmd(0x2, addr, 0xFFFFFFFF);
  return 0; //yeah. no harware here...
}

void CB_Logger::CB_Wait_Equ(unsigned addr, unsigned value)
{
  WriteSPICmd(0x3, addr, value);
}

void CB_Logger::WriteSPICmd(unsigned cmd, unsigned cb_address, unsigned cb_value)
{
  fout << setfill('0') << setw(8) << hex << cmd << " " << setw(8) << cb_address << " " << setw(8) << cb_value << endl;
}
