/*
  file created 2014
  modified
  released to the Public Domain by the author
*/

#include <assert.h>

#include "DemoUnit.hh"
#include "Driver_HL.hh"
#include "CB_Logger.hh"
#include "CB_SimShim.hh"

using namespace std;

int main(void)
{
  //CB_Logger cb;
  //assert( cb.Open("blah.txt") );

  CB_SimShim cb;

  Driver_HL driver(cb);
  //driver.ConfigForSim(true);

  DemoUnit demos(driver);
  if( !demos.Init() ) return -1;
  
  driver.LoadProgram("full_shade_tmapping.tbin");
  //driver.LoadProgram("full_shade.tbin");

  //demos.TeapotDisplaySingle(45.0);
  demos.TextureDemo();
  //demos.TeapotRotateAboutY();

  return 0;
};

