-- Copyright 2014
-- John Culp, All Rights Reserved

library ieee;
use ieee.std_logic_1164.all;

package tb_pack is

  component tb_mc is
  port(
      clk   : in std_logic;
      reset : in std_logic;
      
      mu_bus_address : out   std_logic_vector(1 downto 0);
      mu_bus_data    : inout std_logic_vector(31 downto 0);
      mu_bus_write   : out   std_logic;
      mu_bus_strobe  : out   std_logic;
      mu_cpu_dma_irq : in    std_logic;
      mu_cpu_dma_sel : out   std_logic
      );
  end component;

end;  --package
