/*
  Copyright 2009,2010,2014
  John Culp, All Rights Reserved
*/

#ifndef ASSEMFILE_INCLUDED
#define ASSEMFILE_INCLUDED

#include <istream>
#include <list>

#include "Line.hh"

class AssemFile
{
public:
  AssemFile(void);
  ~AssemFile(void);

  bool LoadFile(std::istream &rfin);

  void OutputList(std::ostream &rOut);

  bool ParseFile(void);

  std::list<Line> lineList;

protected:
  void ParseFileLine(Line &rLine);

  bool ParseValue(std::string &rStr, unsigned &rStart, unsigned &rEnd);

};

#endif //ASSEMFILE_INCLUDED
