/*
  Copyright 2014
  John Culp, All Rights Reserved
*/

#include "PT_State.hh"

using namespace std;

PT_State::PT_State(std::ostream &rTOut) :
  rOut(rTOut), cNode(0)
{};

unsigned PT_State::GetNextID(void)
{
  return cNode++;
}

void PT_State::Start(void)
{
  rOut << "digraph G {\n";
}

void PT_State::End(void)
{
  rOut << "}" << endl;
}
