/*
  Copyright 2014
  John Culp, All Rights Reserved
*/

#include <iostream>

using namespace std;

#include "TVCC_Parser.hh"

extern unsigned mylineno;

namespace TVCC
{
  int yylex(TVCC::parser::semantic_type* yylval, TVCC::location *pLocation, TVCC_Lexer* myLexer);
}

void TVCC::parser::error(const location_type& l, const std::string& m)
{}

int yyFlexLexer::yylex()
{
  return 1;
}

namespace TVCC
   { 
      TVCC::parser::symbol_type yylex(TVCC_Lexer* myLexer);
   };

TVCC::parser::symbol_type TVCC::yylex(TVCC_Lexer* myLexer)
{
  // cout << "****************** mylineno: " << mylineno << endl;
  // *pLocation = location( position(0, mylineno, 0) );
  return myLexer->yylex(1);
}

/*
      TVCC::parser::symbol_type yylex(TVCC_Lexer* myLexer);

TVCC::parser::symbol_type TVCC::yylex(TVCC_Lexer* myLexer)
{
};
*/

// ******************



// ******************

TVCC_Parser::TVCC_Parser(TVCC_Lexer* myLexer) :
  parser(myLexer)
{
  set_debug_stream (cerr);
  //set_debug_level(1);
};

TVCC_Parser::~TVCC_Parser(void)
{};

Program * TVCC_Parser::GetProgram(void)
{
  /*
  if( yysemantic_stack_.empty() )
    {
      return 0;
    };

  semantic_type &myStackTop = yysemantic_stack_.front();
  return myStackTop.front();
  */
  return pMyProgram;
}


void TVCC_Parser::error(const TVCC::location& l, const std::string& m)
{
  cout << "got error: " << m << " at location: " << l << endl;
}
