
.org 0
cBlock

.org 1
cColor 				;0 black 1 red 2 green 3 blue 4 white -> then back to black

.org 2
cColorPix
	
.org 3
cPix				;where are we in the block

.org 4
fbPointer			;remember is only dword addressable

.org 100
dma_buf

;;leave 21 slot gap 

.org 504
dma0_fb_addr
.org 505
dma0_sd_addr

.org 512
dma_start
	
;; start the program 
.org 0
	LLI %A 0
	LUI %A 0
	SRI %A cBlock
	SRI %A cColor
	SRI %A cPix
	SRI %A fbPointer
	;; the dma0_sd_addr contents will not need to change for the life of the program
	LLI %A 21 		;upper still zero
	RSL %A %A 16
	LLI %B dma_buf		;must be less than 65535
	LUI %B 0
	OR %A %B %A
	SRI %A dma0_sd_addr
	;; done init
loop_start
	;; select the color pixel as specified by cColor and increment cColor
	LRI %A cColor
	LLI %B 1
	LUI %B 0		;equal flag
	LLI %C 0
	LUI %C 0
	CMP %C %A %D
	SEQZ %D
	JI is_0
	JI test1
is_0
	;; color is zero (black)
	LLI %D 0
	LUI %D 0
	SRI %D cColorPix
	JI inc_c_color
test1
	LLI %C 1
	CMP %C %A %D
	SEQZ %D
	JI is_1
	JI test2
is_1
	;; color is 1 (red)
	LLI %D 0
	LUI %D 65280
	SRI %D cColorPix
	JI inc_c_color
test2
	LLI %C 2
	CMP %C %A %D
	SEQZ %D
	JI is_2
	JI test3
is_2
	;; color is 2 (green)
	LLI %D 0
	LUI %D 255
	SRI %D cColorPix
	JI inc_c_color
test3
	LLI %C 3
	CMP %C %A %D
	SEQZ %D
	JI is_3
	JI assume4
is_3
	;; color is 3 (blue)
	LLI %D 65280
	LUI %D 0
	SRI %D cColorPix
	JI inc_c_color
assume4
	LLI %D 65280
	LUI %D 65535
	SRI %D cColorPix
	;; set the cColor back to zero
	LLI %B 0
	LUI %B 0
	SRI %B cColor
	JI sel_color_done
inc_c_color			;register A still holds cColor
	LLI %B 1
	LUI %B 0
	ADD %A %B %A
	SRI %A cColor
sel_color_done
	;; now fill the dma buffer with the color selected.
	LLI %A 0		;blank cPix
	LUI %A 0
	SRI %A cPix
	LRI %A cColorPix	;load color
fill_dma			;color is expected to be in reg %A
	LRI %B cPix
	LLI %C 1
	LUI %C 0
	LLI %D dma_buf		;hackish, but we know is below 65535
	LUI %D 0
	ADD %D %B %D
	SRR %A %D 0
	ADD %C %B %B
	SRI %B cPix
	LLI %C 21		;we know upper word of c is zero
	CMP %B %C %C
	LLI %D 2
	LUI %D 0
	AND %C %D %C
	SEQZ %C
	JI fill_done
	JI fill_dma
fill_done
	LRI %A fbPointer
	SRI %A dma0_fb_addr
	;; trigger the dma
	LLI %D 1
	LUI %D 0
	SRI %D dma_start
	LLI %B 21
	LUI %B 0
	ADD %A %B %A
	SRI %A fbPointer
	LLI %B 37856
	LUI %B 4
	CMP %A %B %B
	LLI %C 2
	LUI %C 0
	AND %C %B %B
	SEQZ %B
	JI really_done
	JI loop_start
	;; all done
really_done
	HLT

