/*
  file created 2014
  modified
  released to the Public Domain by the author
*/

#ifndef CB_LOGGER_INCLUDED
#define CB_LOGGER_INCLUDED

#include <string>
#include <fstream>

#include "CB_Base.hh"

class CB_Logger : public CB_Base
{
public:
  CB_Logger(void);
  virtual ~CB_Logger(void);
  
  bool Open(const std::string &rFName);
  void Close(void);

  //all do nothing by default
  virtual void CB_Write(unsigned addr, unsigned value);
  virtual unsigned CB_Read(unsigned addr);

  virtual void CB_Wait_Equ(unsigned addr, unsigned value);
protected:
  virtual void WriteSPICmd(unsigned cmd, unsigned cb_address, unsigned cb_value);

  std::ofstream fout;
};

#endif //CB_LOGGER_INCLUDED
