/*
  file created 2014
  modified
  released to the Public Domain by the author
*/

#ifndef CB_USB_BUFFERED_INCLUDED
#define CB_USB_BUFFERED_INCLUDED

#include <usb.h>

#include "CB_USB.hh"

class CB_USB_Buffered : public CB_USB
{
public:
  CB_USB_Buffered(void);
  virtual ~CB_USB_Buffered(void);

  virtual void CB_Write(unsigned addr, unsigned value);
  virtual unsigned CB_Read(unsigned addr);

protected:
  void AddWriteToBuffer(unsigned char buff[8]); //may call Flush() if no space
  void Flush(void);

  unsigned char write_buffer[1024];
  unsigned wb_end; //the address of the first free byte.
  unsigned writes_combined;
};

#endif //CB_USB_BUFFERED_INCLUDED
