/*
  file created 2009
  modified 2014
  released to the Public Domain by the author
*/

#ifndef DEMOUNIT_INLCUDED
#define DEMOUNIT_INLCUDED

#include "EngineBase.hh"
#include "OffData.hh"
#include "ExtOffData.hh"

class DemoUnit
{
public:
  DemoUnit(EngineBase &rTEngine);
  ~DemoUnit(void);

  bool Init(void);

  void DisplaySingle(void);

  void TeapotDisplaySingle(float yRotAngle = 0.0);
  void TeapotRotateAboutY(void);

  void UploadTextures(void);//already called by TextureDemo
  void TextureDemo(void);

protected:

  EngineBase &rEngine;

  OffData teapotData;
  ExtOffData texturedData;
};

#endif //DEMOUNIT_INLCUDED
