/*
  file created 2014
  modified
  released to the Public Domain by the author
*/

#include <iostream>
#include <iomanip>
#include <assert.h>

#include "CB_Logger.hh"
#include "Driver_HL.hh"
#include "DemoUnit.hh"

using namespace std;

int main(void)
{
  CB_Logger cb;

  cb.Open("blah.txt");

#if 1
  Driver_HL driver(cb);
  driver.ConfigForRTLSim(true);

  DemoUnit demos(driver);
  demos.Init();

  driver.LoadProgram("full_shade.tbin");
  demos.TeapotDisplaySingle(45.0);
  cout << "done" << endl;

  //driver.LoadProgram("debug_shade.tbin");
  //void LoadDataRam(unsigned addr, unsigned value);
#endif

#if 0
 Driver_HL driver(cb);
  driver.LoadProgram("debug_shade.tbin");
  driver.Setup();
  driver.ClearHLTandReset();
  driver.SimWaitForHalt();
  //driver.SimWaitForHalt();
#endif

  cb.Close();

  return 0;
};
