-- Copyright 2014
-- John Culp, All Rights Reserved

package dma_sim_pack is
  procedure DMA_Init;
  attribute foreign of DMA_Init : procedure is "VHPIDIRECT DMA_Init";

  procedure DMA_Close;
  attribute foreign of DMA_Close : procedure is "VHPIDIRECT DMA_Close";

  procedure DMA_In_Start(fb_addr     : integer; count : integer);
  attribute foreign of DMA_In_Start : procedure is "VHPIDIRECT DMA_In_Start";

  procedure DMA_In_Finish;
  attribute foreign of DMA_In_Finish : procedure is "VHPIDIRECT DMA_In_Finish";

  procedure DMA_Out_Start(fb_addr     : integer; count : integer);
  attribute foreign of DMA_Out_Start : procedure is "VHPIDIRECT DMA_Out_Start";

  procedure DMA_Out_Finish;
  attribute foreign of DMA_Out_Finish : procedure is "VHPIDIRECT DMA_Out_Finish";

  function DMA_Read_Value return integer;
  attribute foreign of DMA_Read_Value : function is "VHPIDIRECT DMA_Read_Value";

  procedure DMA_Write_Value(value      : integer);
  attribute foreign of DMA_Write_Value : procedure is "VHPIDIRECT DMA_Write_Value";
end dma_sim_pack;

package body dma_sim_pack is
  procedure DMA_Init  is
  begin
    assert false severity failure;
  end DMA_Init;


  procedure DMA_Close  is
  begin
    assert false severity failure;
  end DMA_Close;

  procedure DMA_In_Start(fb_addr : integer; count : integer) is
  begin
    assert false severity failure;
  end DMA_In_Start;

  procedure DMA_In_Finish is
  begin
    assert false severity failure;
  end DMA_In_Finish;

  procedure DMA_Out_Start(fb_addr : integer; count : integer) is
  begin
    assert false severity failure;
  end DMA_Out_Start;

  procedure DMA_Out_Finish is
  begin
    assert false severity failure;
  end DMA_Out_Finish;

  function DMA_Read_Value return integer is
  begin
    assert false severity failure;
  end DMA_Read_Value;

  procedure DMA_Write_Value(value : integer) is
  begin
    assert false severity failure;
  end DMA_Write_Value;

end dma_sim_pack;
